Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045163
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-09-30 12:392020-10-06 08:58
ReportermaiteView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityurgentResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045163: Login timeout with huge volume of characteristics

DescriptionServer timeout is raised, due to CharacteristicValue model in an environment with:

select count(*) from m_product
629672
select count(*) from M_Product_Ch_Value
5037312
select count(*) from M_Ch_Value
166361
select count(*) from M_Characteristic
8

30k product in the assortment of the store
Steps To Reproduce- Log in the terminal
- MasterData Loading Error will be raised
Proposed SolutionCreate the following index:

CREATE INDEX M_Char_Useonwebpos
  ON public.M_Characteristic
  USING btree
  (EM_Obpos_Useonwebpos COLLATE pg_catalog."default");
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123527)
hgbot (developer)
2020-10-05 11:26

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/122 [^]
(0123567)
hgbot (developer)
2020-10-06 08:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/122 [^]
(0123568)
hgbot (developer)
2020-10-06 08:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 3287436fb26d88f17c97c7c72b30cee9b4fc2024
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-10-06T06:58:49+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/3287436fb26d88f17c97c7c72b30cee9b4fc2024 [^]

Fixed BUG-45163: Created index for M_Characteristic-EM_OBPOS_USEONWEBPOS
* Included index as login timeout occurs with huge volume of characteristics

---
M src-db/database/model/modifiedTables/M_CHARACTERISTIC.xml
---

- Issue History
Date Modified Username Field Change
2020-09-30 12:39 maite New Issue
2020-09-30 12:39 maite Assigned To => Retail
2020-09-30 12:39 maite Triggers an Emergency Pack => No
2020-09-30 13:08 egoitz Proposed Solution updated
2020-09-30 13:32 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-10-05 08:29 prakashmurugesan88 Status new => scheduled
2020-10-05 11:26 hgbot Note Added: 0123527
2020-10-06 08:58 hgbot Resolution open => fixed
2020-10-06 08:58 hgbot Status scheduled => closed
2020-10-06 08:58 hgbot Note Added: 0123567
2020-10-06 08:58 hgbot Fixed in Version => RR21Q1
2020-10-06 08:58 hgbot Note Added: 0123568


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker